Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Litchi app - all of a sudden won't connect -

Discussion in 'Phantom 2 Vision + Help' started by AzDroner, Jul 17, 2015.

  1. AzDroner

    Joined:
    Apr 5, 2015
    Messages:
    125
    Likes Received:
    14
    Bought the litchi app a couple of weeks ago and have flown with it several times and love it. Today I went out to fly with it and it won't connect to wifi, I get a message on my Samsung S3 screen that says "SDK error, cannot connect to internet to verify SDK." No changes in anything that I know of since my last flight, turned everything off and tried again twice, same result. Anyone???
     
  2. AzDroner

    Joined:
    Apr 5, 2015
    Messages:
    125
    Likes Received:
    14
    Tried it again, same result. Turned everything off again, put in a different battery, litch connected and was OK. Turned everything off, put original battery back in, started it up, and it worked this time. Maybe i'll clean the battery contacts, don't know if that had anything to do with it tho. I'll keep using it, nice to have the original app to fall back on anyhow.
     
  3. volito

    Joined:
    Mar 6, 2015
    Messages:
    69
    Likes Received:
    12
    Location:
    USA
    The first time you use the app, it connects to the internet to verify the SDK. After that, no internet connection is necessary, according to the developer. Have you re-loaded or updated the app? Have you added the POI in-app purchase to it? If so, that may explain the issue; otherwise I can be of no help - sorry. This is the greatest app available for the P2V+, IMHO.

    You could ask the developer (Kaehn) here:

    http://www.phantompilots.com/threads/litchi-app-on-android.37294/

    OR you could try the Litchi website here:

    http://www.flylitchi.com

    He is really good about customer service and addressing any issues. Best customer service I've had in a very long time.

    Good luck.
     
  4. dwcola

    Joined:
    Apr 25, 2014
    Messages:
    107
    Likes Received:
    31
    I've been doing some digging on this. I've found that the Marshmellow release has many bugs with this being one of them. The DJI GO App in my case worked fine with the 6.0 Marshmellow updaete; however, when I downloaded Litchi and tried to fire it up, It didin't ask "just once, or always" but it did ask "which one would you like to use". Neither would connect. Had both apps on my Samsung Tab S with Lollipop. Both worked perfect asking "just once or always". I delted Litchi to leave only one primary app GO. After doing this, GO worked fine again. The issue I experienced is what I belive to be a bug in the recent 6.0 Marshmellow release trying to figure out which app to use as primary. When it can't determmine this, it doesn't pull up either. Fix for now is, wait for a fix, delete one or the other apps (I didn't delete GO because of all the previous data accumulation and propietary stability with DJI), or get a former device with kitkat or lollipop on it as a dedicated device. For now, I'll have to do without Litchi until a Fix arrives. I really needed this but the path of least resistance is to stick with GO and wait for a fix.
     
  5. Mark The Droner

    Joined:
    Aug 26, 2015
    Messages:
    3,960
    Likes Received:
    1,156
    Location:
    Brookeville, MD, USA
    I've used Litchi exclusively since last fall. This same thing happened to me about five weeks ago. Very strange. I had to muck around with it for a while to get it to work. It's worked perfectly ever since. I'm still not exactly sure why I got the error message or why Litchi didn't want to work after having worked perfectly for so many months.
     
  6. kingfisher555

    Joined:
    Nov 14, 2015
    Messages:
    392
    Likes Received:
    62
    Location:
    Capac Mi USA
    I did that upgrade yesterday on my s5 and can't connect with Litchi or go. I wish I would of never done it. Lucky I have a Tab A